function [X_Names, Y_Names, Z_Names, A_Names, T_Names] = AxisNames()
% Possible_Axis_Names 
%
% The Matlab NVODS GUI function gridcat reads the dds and das to 
% get the names of the map vectors associated with arrays in a 
% grid and then searches these for ones that might correspond to
% latitude, longitude, depth and time. This routine is sourced
% from gridcat and provides a list of possible names to search
% for. The list has been built up from names used in existing
% NVODS accessible files, primarily netCDF files.
%
% Usage: Sourced from gridcat.
%
% Peter Cornillon 2/2/02
%

X_Names{1} = 'lon';
X_Names{2} = 'coadsx';
X_Names{3} = 'eskux';
X_Names{4} = 'xax';
X_Names{5} = 'x';

Y_Names{1} = 'lat';
Y_Names{2} = 'coadsy';
Y_Names{3} = 'eskuy';
Y_Names{4} = 'yax';
Y_Names{5} = 'y';

Z_Names{1} = 'depth';
Z_Names{2} = 'coadsz';
Z_Names{3} = 'surface';
Z_Names{4} = 'dpth';
Z_Names{5} = 'zax';
Z_Names{6} = 'z';
Z_Names{7} = 'lev';

% special atmospheric variables
A_Names{1} = 'height';
A_Names{2} = 'vertical';
A_Names{3} = 'altitude';
A_Names{4} = 'elevation';

T_Names{1} = 'coadst';
T_Names{2} = 'time';
T_Names{3} = 'tax';
T_Names{4} = 't';
