%
%               FILE DESCRIBING ASU NHTI Index

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';
% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.Indices/.CPC_Indices/.NHTI/.ASU/dods';

% VARIABLES -- REQUIRED
LonRange = [-180 180];
LatRange = [0 90.0];
DepthRange = [0.0 0.0];
TimeRange = [1950.0 2004.5];
Resolution = nan;

DataName = 'Asia Summer Teleconnection Index - IRI';

SelectableVariables = str2mat('Index');
DodsName = str2mat('ASU');

DataNull = cell(size(DodsName,1)+4,1);
[DataNull(:)] = deal({nan}); 
DataNull(5) = {-9.899999618530273437};

Comments = 'http://iridl.ldeo.columbia.edu/SOURCES/.Indices/.CPC_Indices/.NHTI/.dataset_documentation.html';
