%
%               FILE DESCRIBING CARDONE Level-2B ECMWF Wind Stress Estimates

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';

% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.CARDONE/dods';
Start_Time = [1982 01 03 0 0 0];
Time_Offset = [0 0 -2 0 0 0];

% VARIABLES -- REQUIRED
LonRange = [-80.6250 15.0000];
LatRange = [-30 30];
DepthRange = [0 0.0];
TimeRange = [1982 1985];
Resolution = 208.125;

DataName = 'Cardone ECMWF Wind stress - IRI';

SelectableVariables = str2mat('Wind Stress U', 'Wind Stress V');
DodsName = str2mat('taux','tauy');
% note: DataNull is applied *before* scaling
DataNull = cell(size(DodsName,1)+4,1);
[DataNull(:)] = deal({nan}); [DataNull(5:6)] = deal({9999.0});
DataScale = [NaN NaN; NaN NaN; NaN NaN; NaN NaN; 0 0.001; 0 0.001];

Comments = '';

