%               CMAP Monthly Precipitation

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';

% VARIABLES -- OPTIONAL

Server = 'http://www.cdc.noaa.gov/cgi-bin/nph-nc/Datasets/cmap/enh/precip.mon.mean.nc';
%Server = 'http://apdrc.soest.hawaii.edu/dods-bin/nph-dods/data/cmap-rain/rainfall.cmap.month.nc';

% VARIABLES -- REQUIRED
LonRange = [1.25-1.25 358.75+1.25];
LatRange = [-88.75-1.25 88.75+1.25];
TimeRange = [1979 2004];
DepthRange = [0 0];
DepthUnits = 'meters';
Resolution = 277.0;

% force time axis to correct day [Y M D H M S]
Time_Offset = [0 0 -2 0 0 0];

DataName = 'CMAP Precipitation';

SelectableVariables = str2mat('Precipitation');

DodsName = str2mat( 'precip');

Acknowledge = ' ';

% COMMENTS
Comments = 'http://www.cdc.noaa.gov/Datasets/cmap/README';

