%
%               FILE DESCRIBING da Silva Atlas of Marine Data ANOMALIES

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';

% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.DASILVA/.SMD94/.anomalies/dods';

% VARIABLES -- REQUIRED
LonRange = [0 360];
LatRange = [-90 90];
DepthRange = [0 0.0];
TimeRange = [1945.0 1994];
Resolution = 111.0;

DataName = 'da Silva Atlas of Surface Marine Data ANOMALIES - IRI';

SelectableVariables = str2mat('Evaporation','Cloud Fraction', ...
    'Latent Heat','Up Radiation','Precipitation','Spec Humidity', ...
    'Spec Humidity sea level', 'Spec Humidity Diff', ...
    'Relative Humidity','Air Temp','Sea Temp','Temp Diff', ...
    'Wind Stress U','Wind Stress V','Wind U','Wind V', ...
    'Sensible Heat', 'Down Radiation','Pressure','Heat Flux U', ...
    'Heat Flux V','Vapor Pressure','Moisture Flux U', ...
    'Moisture Flux V', 'Wind Speed','Air Density', ...
    'Monin-Obukov Length','Cloud Shortwave Sensitivity', ...
    'Net Heat Flux','Chi Longwave Sensitivity','Vapor Pressure Sensitivity');
DodsName = str2mat('evaprate','cloud','latent3','longrad', ...
    'precip6', 'qair', 'qsea','qs-qa','rh','sat','sst','sst-sat', ...
    'taux3','tauy3','u3','v3','sensib3','shortrad','slp','ua','va', ...
    'vappress', 'uq', 'vq','w3', 'airdens','zdl', 'ac', 'netheat', ...
    'achi','ae');

% 2 choices precipitation: precip, precip6.  Difference?
%longwave Chi sensitivity coefficient -- what's this?
%specific humidity: 2 choices, q, qair.
%sea level specific humidity, also qsea

Comments = 'http://iridl.ldeo.columbia.edu/SOURCES/.DASILVA/.SMD94/.dataset_documentation.html';

