%
%               FILE DESCRIBING Echam Model Wind Stress

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';

% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.ECHAM/dods';

% VARIABLES -- REQUIRED
LonRange = [0 360];
LatRange = [-90 90];
DepthRange = [0 0.0];
TimeRange = [1949.0 1991.0];
Resolution = 312.1875;

DataName = 'ECHAM model surface stresses - IRI';

SelectableVariables = str2mat('Wind Stress U', 'Wind Stress V');
DodsName = str2mat('taux','tauy');

Comments = 'http://iridl.ldeo.columbia.edu/SOURCES/.ECHAM/.dataset_documentation.html';