%
%               FILE DESCRIBING Eastern Pacific Coastal Upwelling dataset

% The preceding empty line is important.

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';
% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.EPCU/dods';
% this is a bit specious because the grids are not ordered by map
axes_order = [1 2 0 3];
% this start time is for Chronological Julian days
Start_Time = [-4713 01 01 0 0 0];

% VARIABLES -- REQUIRED
LonRange = [-125 -70.0];
LatRange = [-37 44];
DepthRange = [0.0 0.0];
TimeRange = [1990.0 1999.0];
Resolution = nan;

DataName = 'Eastern Pacific Coastal Upwelling Index - IRI';

SelectableVariables = str2mat('Cadmium','Nitrate Nitrite', ...
    'Phosphate','Salinity','Silicate');
DodsName = str2mat('Cd','N','P','SALINITY','Si');
MapNames = str2mat('lon','lat','TIME');

% this is a hack to zero out an incorrect position entry
% DataNull will not be needed when that entry is fixed.
DataNull = [nan 0 -72.599998474121093 nan -999 -999 -999 -999 -999];

Comments = ...
    'http://iridl.ldeo.columbia.edu/SOURCES/.EPCU/.dataset_documentation.html';
