%
%               FILE DESCRIBING GEOSECS DATASET

% The preceding empty line is important.
% Fixed to use dds and das 1/28/02 pcc

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';
% FUNCTIONS -- OPTIONAL

% VARIABLES -- OPTIONAL
Server = 'http://iridl.ldeo.columbia.edu/SOURCES/.GEOSECS/dods';
axes_order = [2 1 0 0];

% VARIABLES -- REQUIRED
LonRange = [-180.0 180.0];
LatRange = [90.0 -90.0];
DepthRange = [0.0 7422.0];
DepthUnits = 'dbar';
TimeRange = [1972.5 1978.167];
Resolution = nan;

DataName = 'Water Chemistry - GEOSECS - IRI';
MapNames = str2mat('lat','lon');

SelectableVariables = str2mat('Alkalinity', 'AOU', ...
    'Carbon-13', 'Carbon-14', 'CO2','pCO2', ...
    'pCO2_Temp', 'Depth', 'Dissolved Oxygen', ...
    'Nitrate', 'Nitrite', 'Phosphate', 'Potential_Temp', ...
    'Sigma 0', 'Sigma 2', 'Sigma 4', 'Pressure', 'Sea_Temp', ...
    'Salinity','Silicate','Station Number','Tritium');
DodsName = str2mat('TALK','AOU', 'Delta_C_2d13', 'Delta_C_2d14', ...
    'TCO2', 'PCO2', 'PCO2_TEMP','Depth','OXY','NO3','NO2', 'PO3', ...
    'THETA','SIGMA0','SIGMA2','SIGMA4', 'PRESS', 'TEMP', 'SAL', ...
    'SIO3', 'STA', 'Tritium_TU');

Comments = 'http://iridl.ldeo.columbia.edu/SOURCES/.GEOSECS/.dataset_documentation.html';