% WARNING: DETERMINATION OF CLIMATOLOGIES IS BROKEN IN THIS
% VERSION.  dbyrne 2003/07/25

yr = 0; mon = 1; day = 1; hr = 0; mm = 0; sec = 0;
since_flag = 0; jday_flag = 0;

% SECTION 1: compute the starting time for the time axis
if exist('Start_Time') == 1
  % override DAS info
  start_time = Start_Time;
else
  inx = instr('since',timestring);
  if ~isempty(inx)
    since_flag = 1;
  end
  
  if ~since_flag
    % we might need to query the user for a start time
    if exist('MapNames') == 1    
      eval([ 'c = struct2cell(DAS.' tmap '.' tmap ');']);
      eval([ 'f = fieldnames(DAS.' tmap '.' tmap ');']);
    else
      eval([ 'c = struct2cell(DAS.' newfield1 '.' tmap ');']);
      eval([ 'f = fieldnames(DAS.' newfield1 '.' tmap ');']);
    end
    for j = 1:length(c)
      if isnumeric(c{j})
	c{j} = num2str(c{j}(:)');
      end
    end
	  
    m = cell(length(c),1);
    [m{:}] = deal(': ');
    cc = cellstr([strvcat(f{:}), strvcat(m{:}), strvcat(c{:})]);
    str2 = '';
    
    for j = 1:length(cc)
      str = cc{j};
      while ~isempty(strfind(str,'  '))
	str = strrep(str,'  ',' ');
      end
      str2 = [str2, sprintf('%s\n', str)];
    end
	  
    strtemp = lower(str2);
    if ~isempty(strfind(strtemp,'climatolog'))
      % Assume this is a climatology and force a start time
      %timestring =  '0000/00/00 00:00:00';
      % new 2003/11/09
      timestring =  '0000/00/01 00:00:00';
      since_flag = 1;
    else  
      % query the user for a start time
      str = sprintf('%s\n', ...
	  'The GUI is not able to automatically determine', ...
	  'the start time for this dataset.  Please examine', ...
	  'the information below and specify the dataset', ...
	  'start time as: YYYY/MM/DD hh:mm:ss.  If the', ...
	  'dataset is a climatology, use 0000/00/01 00:00:00', ...
	  'to indicate this.', '');
      str = sprintf('%s', str, str2);
      prompt = '0000/00/01 00:00:00';      
      timestring = dodsdlg(str, ...
	  'NVODS Browser: Specify Start Time', 1, {prompt}, zeros(3,3));
      since_flag = 1;
    end
    timestring = char(timestring);
    inx = -5;
  end

  if since_flag & length(timestring) < (inx+6)
    % the user didn't specify a start_time or hit cancel
    dods_err = 1;
    dods_err_msg = 'Request Cancelled';
    return
  end

  if since_flag
    timestring = timestring(inx+6:length(timestring));
    p = strfind(timestring,':');
    if ~isempty(p)
      p = p(length(p)-1)-2;
      hr = sscanf(timestring(p:p+1),'%i');
      mm = sscanf(timestring(p+3:p+4),'%i');
      sec = sscanf(timestring(p+6:p+7),'%i');
      timestring = timestring(1:p-2);
    end
    p = instr('-', timestring);
    if isempty(p) | length(p) < 2
      p = instr('/', timestring);
    end
    if ~isempty(p) & length(p) == 2
      yr = sscanf(timestring(1:p(1)-1),'%i');
      mon = sscanf(timestring(p(1)+1:p(2)-1), '%i');
      day = sscanf(timestring(p(2)+1:length(timestring)),'%i');
    end
  
    if day == 0 & yr ~= 0
      day = 1;
    end
    if mon == 0 & yr ~= 0
      day = 1;
    end
    start_time = [yr mon day hr mm sec];
  else
    % there is no valid start_time
    start_time = nan*ones(1,6);
  end
end

% SECTION 2: reshape time vector to a column & preserve size info
tmp_t = ax{geopos(4)};
if exist('MapNames') == 1
  % preserve size
  Size_t = size(tmp_t);
end
tmp_t = tmp_t(:);

% SECTION 3: get/set timebase variables 
switch timebase
  case 'seconds'
    col = 6;
  case 'minutes'
    col = 5;
  case 'hours'
    col = 4;
  case 'days'
    col = 3;
  case 'months'
    col = 2;
  case 'years'
    col = 1;
end
z = zeros(1,6); z(col) = 1;

% SECTION 4: DETERMINE IF THIS IS A CLIMATOLOGY
% These are the current criteria for recognizing a climatology:
% 1) the start year is 0 AD
% 2) the time is given in days and all of the days are <= 365.
% 3) the time is given in months and all of the months are <= 12.
% dbyrne 2003/05/12.
%
% NOTE: we cannot use a start year == 1 as a criterion since quite
% a number of datasets that are NOT climatologies use this as the
% absolute start time.
isclimatology = 0;
if since_flag & start_time(1) == 0
  isclimatology = 1;
elseif since_flag & strcmp(timebase,'days') & ...
      all(tmp_t >= 0) & all(tmp_t <= 365)
  isclimatology = 1;
elseif since_flag & strcmp(timebase,'months') & ...
      all(tmp_t >= 0) & all(tmp_t <= 12)
  isclimatology = 1;
end

if isclimatology
  if exist('Time_Offset') == 1
    % apply a time offset w/info from archive.m.
    % pad with zeros if necessary.  This allows Time_Offset
    % to be in the form of [yr mo day] or [yr], etc.
    Time_Offset = [Time_Offset zeros(1,6-size(Time_Offset,2))];
    climate_start_time = start_time+Time_Offset;
  else
    climate_start_time = start_time;
  end
  s = [ones(length(tmp_t),1)*climate_start_time];
  
  % THIS LINE HAS THE EFFECT OF RENDERING THE GIVEN TIME AXIS
  % (WHICH IS "SINCE" A GIVEN START TIME, S) RELATIVE TO THE FIXED
  % START TIME OF [0 1 1 0 0 0].  (Matlab's day 1 in datenum.)
  tmp_t = s + tmp_t*z;

  % set day to 1 if all day hr min sec are zero
  if all(all(tmp_t(:,3:6) == 0))
    tmp_t(:,3) = 1;
  end

  if strcmp(timebase,'months') & any(tmp_t(:,2) < 1)
    % there are ALWAYS 12 months in a year, even in 1752
    % when the Gregorian reformation occured.
    % thus we can change all the months to
    % positive numbers, and just decrement the
    % year value appropriately (I think).
    i = find(tmp_t(:,2) < 1);
    % the non-integer part
    remt = tmp_t(i,2) - floor(tmp_t(i,2));
    newmo  = 12 - abs(rem( (tmp_t(i,2)-remt)-1,12));
    newmo = newmo + remt;
    newyr = tmp_t(i,1) - (floor(abs(tmp_t(i,2)-remt)/12) + 1);
    tmp_t(i,1) = newyr;
    tmp_t(i,2) = newmo;
  end
  % This portion of code handles the fact that datenum
  % only handles integer months.  Convert non-integer
  % portion to days and add to day column. dbyrne 2002/09/17
  if any(tmp_t(:,2) ~= floor(tmp_t(:,2)))
    tmp_t1 = tmp_t; tmp_t1(:,2) = floor(tmp_t1(:,2));
    tmp_t2 = tmp_t; tmp_t2(:,2) = ceil(tmp_t2(:,2));
    tmp_t1 = datenum(tmp_t1);
    tmp_t2 = datenum(tmp_t2);
    lmo = tmp_t2 - tmp_t1;
    remday = (tmp_t(:,2)-floor(tmp_t(:,2))).*lmo-1;
    tmp_t(:,3) = tmp_t(:,3)+remday;
    tmp_t(:,2) = floor(tmp_t(:,2));
  end
  % Now we are going to convert from days from starttime to
  % days within an arbitrary year.
  baseday = datenum([start_time]);
  % Next, convert the time axis into to DAYS from [0 1 1 0 0 0]
  tmp_t = datenum(tmp_t);
  % the "1" offset means that 1 Jan is still given as a 1,
  % (not zero) for correct input into day2year.
  tmp_t = tmp_t-baseday+1;
  
  % now convert to decimal years based on 1900, a dummy year.
  tmp_t = day2year(tmp_t,1900);
  tmp_t = tmp_t-1900;
  
else
  % NOT A CLIMATOLOGY
  % manually add an offset if necessary.  Info from archive.m.
  % the format is [yr mo day hr min sec];
  if exist('Time_Offset') == 1
    % pad with zeros if necessary.  This allows Time_Offset
    % to be in the form of [yr mo day] or [yr], etc.
    Time_Offset = [Time_Offset zeros(1,6-size(Time_Offset,2))];
    start_time = start_time + Time_Offset;
  end
  s = [ones(length(tmp_t),1)*start_time];

  % THIS LINE HAS THE EFFECT OF RENDERING THE GIVEN TIME AXIS
  % (WHICH IS "SINCE" A GIVEN START TIME, S) RELATIVE TO THE FIXED
  % START TIME OF [0 1 1 0 0 0].  (Matlab's day 1 in datenum.)
  tmp_t = s + tmp_t*z;

  % set day to 1 if all day hr min sec are zero
  % ADDED 2003/11/09
  if all(all(tmp_t(:,3:6) == 0))
    tmp_t(:,3) = 1;
  end
  
  % WORKAROUND FOR IDIOSYNCRACIES IN DATENUM -- dbyrne 2002/09/13
  % special case: if time is in months, and any months < 1
  % datenum will not handle them correctly.  Also, datenum
  % truncates to integer months and does not handle fractional
  % months
  if strcmp(timebase,'months') & any(tmp_t(:,2) < 1)
    % there are ALWAYS 12 months in a year, even in 1752
    % when the Gregorian reformation occured.  Thus we can
    % change all the months to positive numbers, and just
    % decrement the year value appropriately.
    i = find(tmp_t(:,2) < 1);
    % the next three statements were vetted and are correct
    % dbyrne 2003/05/15.
    remt = tmp_t(i,2) - floor(tmp_t(i,2));
    newyr = tmp_t(i,1) - (floor(abs(tmp_t(i,2)-remt)/12) + 1);
    tmp_t(i,1) = newyr;
    % these were also vetted and are now correct as well
    newmo  = 12 - abs(rem( (tmp_t(i,2)-remt), 12) );
    newmo = newmo + remt;
    tmp_t(i,2) = newmo;
  end
	    
  % This portion of code handles the fact that datenum
  % only handles integer months.  Convert non-integer
  % portion to days and add to day column. dbyrne 2002/09/17
  j = find(~isnan(tmp_t(:,2)));
  if any(tmp_t(j,2) ~= floor(tmp_t(j,2)))
    tmp_t1 = tmp_t; tmp_t1(:,2) = floor(tmp_t1(:,2));
    tmp_t2 = tmp_t; tmp_t2(:,2) = ceil(tmp_t2(:,2));
    tmp_t1 = datenum(tmp_t1);
    tmp_t2 = datenum(tmp_t2);
    lmo = tmp_t2 - tmp_t1;
    remday = (tmp_t(:,2)-floor(tmp_t(:,2))).*lmo-1;
    tmp_t(:,3) = tmp_t(:,3)+remday;
    tmp_t(:,2) = floor(tmp_t(:,2));
  end
  tmp_t = datenum(tmp_t);
  tmp_t = day2year(tmp_t, 0);
end

if exist('MapNames') == 1
  tmp_t = reshape(tmp_t,Size_t);
end

% store as metadata
ax{geopos(4)} = tmp_t;
