%
%                            SODA Ocean Model (T)

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectg';

% VARIABLES -- OPTIONAL
Server = 'http://apdrc.soest.hawaii.edu:8080/dods/public_data/SODA/soda_ts';

% VARIABLES -- REQUIRED
LonRange = [0 360];
LatRange = [-60-((58.97+60)/127) 58.97+((58.97-60)/127)];
TimeRange = [1950 1998];
DepthRange = [0 4000];
DepthUnits = 'millibar';
Resolution = 222.0;

DataName = 'Carton Simple Ocean Data Assimilation (SODA) Beta-6 3-D fields';

SelectableVariables = str2mat('Sea_Temp','Salinity','Current_U', 'Current_V');

DodsName = str2mat('t','s','u','v');

% COMMENTS

Comments = sprintf('%s\n', ...
'    model-theory: "See Carton et al (JPO Vol.30,No.2,2000 pp.294-326)"', ...
'    data-source: "ftp from nimbus04.umd.edu/pub/outgoing/cao"', ...
'    data-process: "converted to netCDF by Shen Yingshuo at IPRC"', ...
'    title: "SODA (1950-?) Monthly Sea Salinity"', ...
'    vairable: "monthly sea salinity, temperature and u and v currents"',...
		   '    Unlimited_Dimension: "time"',...
' ', ...
'  Data Server:',...
' ',...
'   IPRC SOEST',...
'   University of Hawaii',...
'   Honolulu, HI 96822',...
'   data@iprc.soest.hawaii.edu');

