function [argout1, argout2, argout3] = isall(mode, argin1, argin2, argin3)

% This function is used to set the acqno, varname, whichvar.
% If the 'all' in Acquisition number listbox is checked, all_flag is 1
% otherwise all_flag is 0. The method to set acqno, varname and
% whichvar is different regarding all_flag.

% by Xin Zhang  Jan. 2003

% shared with other programs
global all_display_data display_choices combo_display_name

if nargin < 3
  disp('usage: isall(mode, whichplot, whichvar, [acqindex])')
  return
end

switch mode

  case 'set'
   whichplot = argin1;
   whichvar = argin2;
   if display_choices(whichplot).all_flag
     varname = combo_display_name{whichvar};
     for i = 1:max(size(all_display_data))
       k = strcmp(varname, cellstr(all_display_data(i).name));
       if sum(k) > 0
	 acqindex = i;
	 whichvar = find(k);
       end
     end
    
   else
     acqno = display_choices(whichplot).acqno;
     acqchoices = cat(1,all_display_data(:).acqno);
     acqindex = find(acqchoices == acqno);
     varname = deblank(all_display_data(acqindex).name(whichvar,:));

   end
   argout1 = acqindex;
   argout2 = whichvar;
   argout3 = varname;
 case 'get'
  whichplot = argin1;
  whichvar = argin2;
  acqno = argin3;
  prefix = sprintf('R%i_', acqno);
  if display_choices(whichplot).all_flag
    k = strmatch(prefix, combo_display_name);
    whichvar = (whichvar - 1) + (k(1) - 1);
  else
    % nothing need be done
  end
  argout1 = whichvar;
  
end

return;
